Author Topic: Get ID of clipped Viewport  (Read 6096 times)

0 Members and 1 Guest are viewing this topic.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Get ID of clipped Viewport
« Reply #15 on: March 29, 2011, 02:51:53 PM »
<snip>

I'm not overly keen on my solution however, since, should the user wish to exit the selection prompt, he/she must hit Esc, else be trapped in the while loop 'til the heat death of the universe...

Code: [Select]
(setvar 'ErrNo 0)
(while (and (not (equal (getvar 'ErrNo) 52)) (not flag))
    (if (setq ss (ssget "_+.:S:E" '((0 . "VIEWPORT"))))
        (setq flag t)
        (princ "\n** Please Select a Viewport **")
    )
)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Lee Mac

  • Seagull
  • Posts: 12914
  • London, England
Re: Get ID of clipped Viewport
« Reply #16 on: March 29, 2011, 02:54:20 PM »
Nice one Tim - I thought that only worked with entsel - happily mistaken   8-)